#
# spec file for package anjuta-extras
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _major_minor 3.25
Name:           anjuta-extras
Version:        3.26.0
Release:        lp150.3.2
Summary:        Extra plugins for anjuta
License:        GPL-2.0-or-later
Group:          Development/Tools/IDE
URL:            http://download.gnome.org/sources/anjuta-extras
Source:         https://download.gnome.org/sources/anjuta-extras/3.26/%{name}-%{version}.tar.xz
# For directory ownership; okay since we have a Requires on anjuta
BuildRequires:  anjuta >= 3.7.4
BuildRequires:  gcc-c++
BuildRequires:  intltool >= 0.35.0
BuildRequires:  pkgconfig
BuildRequires:  translation-update-upstream
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.16.0
BuildRequires:  pkgconfig(gthread-2.0) >= 2.16.0
BuildRequires:  pkgconfig(libanjuta-3.0) >= %{_major_minor}.0
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       anjuta
Requires:       gsettings-desktop-schemas
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
The package contains the following plugins:

    * Scintilla Editor
    * Scratchbox Support

%lang_package

%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name} %{?no_lang_C}
%find_lang anjuta-manual %{?no_lang_C} %{name}.lang

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%doc %{_datadir}/help/C/anjuta-manual/
# Explicitly list .plugin files so we know what we ship
%{_libdir}/anjuta/anjuta-editor.plugin
%{_libdir}/anjuta/anjuta-sample.plugin
%{_libdir}/anjuta/anjuta-scratchbox.plugin
%{_libdir}/anjuta/*.so*
%{_datadir}/pixmaps/anjuta/*
%{_datadir}/anjuta/*
%{_datadir}/glib-2.0/schemas/org.gnome.anjuta.*.gschema.xml

%files lang -f %{name}.lang

%changelog
* Tue Mar 20 2018 dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
  Tumbleweed, this results in a NOP and for Leap in SLE paid
  translations being used (boo#1086036).
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sun Sep 10 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + No changes, stable bump only.
* Sun Aug 20 2017 zaitor@opensuse.org
- Update to version 3.25.91:
  + bgo#690373: The syntax-highlighting for Gtk types does not work
    from version 3.x.
  + bgo#711771: The edge-column variable is not taken into account
    by anjuta for scintilla editor.
  + Update to scintilla 3.7.5.
  + Update new styles to use the one defined in Anjuta.
  + Replace deprecated types.
  + Fix typo.
  + Updated translations.
- Conditionally apply translations-update-upstream BuildRequires
  and macro for non-openSUSE only.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + No changes since version 3.9.5.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  +  scintilla: Update to scintilla 3.3.4.
  + extra: Switch from gnome-doc-utils to yelp-tools.
  + Updated translations.
- Replace gnome-doc-utils-devel BuildRequires with yelp-tools,
  following upstreams change of the documentation infrastructure.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + scintilla:
  - bgo#689896: Unable to save scintilla indentation preferences.
  - Initialize editor settings when creating a new instance.
  - Implement new indentation functions.
  - bgo#690373: The syntax-highlighting for Gtk types does not
    work from version 3.x.
  - Fix compiler warnings.
  - Allow to open a file by dropping it in the editor pane.
  - Fix behavior of Scintilla to match GtkSourceView.
  + scratchbox: Fix compiler warnings.
  + Updated translations.- Bump _major_minor to 3.8.
* Tue Jan 15 2013 dimstar@opensuse.org
- Update to version 3.7.4:
  + bgo#690320: Typo: loose should be lose
  + scintilla:
  - Initialize editor settings when creating a new instance
  - Implement new indentation functions
  - bgo#690373: The syntax-highlighting for Gtk types does not
    work from version 3.x
  - Fix compiler warnings
  - Allow to open a file by dropping it in the editor pane
  + scratchbox: Fix compiler warnings
  + Updated translations.
* Thu Jan 10 2013 dimstar@opensuse.org
- Update to version 3.7.3:
  + Bugs fixed: bgo#684001, bgo#689896
  + Updated translations.
* Thu Sep 27 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Minor bug fixes.
  + Updated translations.
* Sun Sep 23 2012 dimstar@opensuse.org
- Rework BuildRequires to be close to what configure checks for:
  + Old, removed one: anjuta-devel
  + New, added ones (pkgconfig()-style: glib-2.0, gmodule-2.0,
    gthread-2.0, libanjuta-3.0, libxml-2.0.
- This change allows us to correctly version the BuildRequires,
  following configure as closely as possible.
* Wed Jul 18 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Scintilla:
  - Use common settings for indentation
  - Fix a crash when closing editors
  - Initialize indentation settings (indent with tab/unindent
    with
  - Fix default foreground and background text color
  - Update to scintilla 3.2.0
  + Updated translations.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + scintilla:
  - Update to include scintilla 3.0.3.
  - Respect theme colours and blinking cursor preference
    (bgo#348850, bgo#351214).
  - Explicitly set GDK_SCROLL_MASK as recent gtk+ versions
    require.
  - Build fixes.
  + Updated translations.
- Pass %%{?no_lang_C} to %%find_lang, as we want to make sure the
  english documentation is in the main package.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 3.3.90:
  + scintilla:
  - Update for anjuta changes.
  - Keep window position when reloading a file.
  - bgo#669359: yellow debugger color in dark theme
- Remove xz BuildRequires now that it comes for free in the build
  system.
* Tue Jan 17 2012 vuntz@opensuse.org
- Update to version 3.3.4:
  + scintilla:
  - Add editor view settings
  - Improve style setting dialog
  - Fix reload comparison when removing trailing space
  - Fix a crash when saving an empty file
  - Move preferences to org/gnome/anjuta/plugins/scintilla
  - Add an id column to GtkComboBox used in preferences
  - Add one page of documentation in Mallard format
  - Link to gmodule to fix build against glib >= 2.31
  - Other bugs fixed: bgo#610371, bgo#664514.
  + scratchbox:
  - Move preferences to org/gnome/anjuta/plugins/scratchbox
  - Add an id column to GtkComboBox used in preferences
  + Updated translations.
- Drop anjuta-extras-link-gmodule.patch: fixed upstream.
- Remove gnome-common BuildRequires and call to gnome-autogen.sh,
  that were only needed for above patch.
- Add gnome-doc-utils-devel BuildRequires for new documentation.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Wed Dec 21 2011 vuntz@opensuse.org
- Add anjuta-extras-link-gmodule.patch: fix build against glib
  2.31.
- Add gnome-common BuildRequires and call to gnome-autogen.sh,
  needed for above patch.
* Wed Oct 12 2011 vuntz@opensuse.org
- Add anjuta BuildRequires to fix a build failure caused by
  directory not being owned. It's okay since we have a Requires on
  anjuta.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Various Scintilla fixes
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 3.1.92:
  + Scintilla updated to 2.29
  + Various other Scintilla fixes
  + Updated translations.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Jul 25 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + scintilla: bgo#631157: unix is not defined on OpenBSD
  + bgo#654073: Avoid to pass a directory to builder2schema when
    there is no key file
* Wed Jul  6 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + scratchbox: Stop using deprecated GTK+ API (bgo#652700)
- Drop anjuta-extras-gtk3.patch: fixed upstream.
* Wed Jun 15 2011 dimstar@opensuse.org
- Update to version 3.1.2:
  + Sample, scintilla, and scratchbox plugins updated to work with
    GTK+ 3.x
  + Profiler and valgrind plugins removed
- Switch from gconf schema handling to gsettings schema handling.
- Remove --disable-schemas-install from configure: it was needed
  for gconf.
- Remove now unused binutils-devel, gconf2-devel, graphviz-devel,
  libgnomecanvas-devel and libgnomeui-devel BuildRequires.
- Change -lang Requires to Recommends.
- Add gsettings-desktop-schemas Requires.
- Add anjuta-extras-gtk3.patch: Fix build of scratchbox plugin. The
  plugin still used long deprecated GTK2 symbols, which are no
  longer existing. Taken from git.
* Fri Jan  7 2011 vuntz@opensuse.org
- Update to version 2.32.1.1:
  + profiler: bgo#633018: fix crash happening because misuse of
    xmlCleanupParser
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0.0:
  + Updated translations.
* Thu Sep 16 2010 vuntz@opensuse.org
- Update to version 2.31.92.0:
  + Updated translations.
* Wed Sep  1 2010 vuntz@opensuse.org
- Update to version 2.31.91.0:
  + scintilla: bgo#625397: Critical warning on project unload.
    Crash on reload.
* Thu Aug 19 2010 dimstar@opensuse.org
- Update to version 2.31.90.0:
  + Profiler updated to use new symbol-db API
  + Some changes to Scintilla for snippets support
- Drop anjuta-extras-fixes-from-git.patch
- Use %%{?smp_mflags}
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 2.31.1.0:
  + scintilla: Apparently sourceview doesn't change the iterator
    when inserting text now
  + class-inheritance: Removed plugin as it got moved to anjuta
- Add anjuta-extras-fixes-from-git.patch to fix build with latest
  anjuta.
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri May 28 2010 dimstar@opensuse.org
- Drop anuta-extras-rpmlintrc, fixed by upstream; the plugins
  properly are linked with -avoid-version -module.
* Wed May 26 2010 dimstar@opensuse.org
- Use valid RPM group Development/Tools/IDE.
* Wed Apr 28 2010 dimstar@opensuse.org
- Update to version 2.30.1.0:
  + scintilla: Added missing file to EXTRA_DIST
  + Fix COPYING to state GPLv2 correctly
  + Bugs fixed: bgo#615412, bgo#615360
* Thu Apr  1 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updates
  - Class inheritance plugin completely redone
  - Use Scintilla 2.03
  + Bugs fixed:
  - bgo#610738 - Missing license.txt in anjuta-extras scintilla
    plugin
  - symbol-db: bgo#612089 - Styles choosen for class-inheritance
    is broken for some themes
* Sun Jan 31 2010 vuntz@opensuse.org
- Update to version 2.29.2.0:
  + Updates:
  - Unify scintilla and gtksourceview behaviour
  + Bugs fixed:
  - bgo#600923 - anjuta-extras: ANJUTA_PLUGIN_LDFLAGS not defined
  - bgo#585529 - Replace AnjutaMessageArea with GtkInfoBar
- Drop anjuta-extras-build-latest-anjuta.patch: fixed upstream.
* Sat Jan 16 2010 vuntz@opensuse.org
- Add anjuta-extras-build-latest-anjuta.patch to fix build with
  anjuta 2.29.x.
- Add anjuta Requires.
- Remove gnome-common BuildRequires, and call to gnome-autogen.sh.
* Thu Oct  1 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + Updates:
  - Use scintilla 2.0
  + Bugs fixed:
  - scintilla: bgo#571816 – Scintilla no longer highlights
    typedefs
  - bgo#590334 – Fix -I ordering
  - bgo #586750 – Tooltips are interestingly irritating
  - scintilla: bgo#575926 – 'Maintain past indentation' disables
    itself
  - class-inheritance: fixed bgo#590522 remove libgnome(ui)
  - scintilla: bgo#590633 – Add libgthread-2.0 to link
  - bgo#590963 – Anjuta-extras make distcheck fail
- Drop anjuta-extras-libgnome.patch: fixed upstream.
- Drop anjuta-gthread.patch: fixed upstream.
* Mon Aug  3 2009 vuntz@novell.com
- Add anjuta-extras-libgnome.patch to fix build with newer anjuta.
- Add libgnomeui-devel and libgnomecanvas-devel BuildRequires.
- Add anjuta-gthread.patch to fix build again (missing library
  during link).
* Fri Jul 31 2009 vuntz@novell.com
- Update to version 2.27.3:
  + Remove libglade dependency
  + Various build issues
- Drop anjuta-extras-no-libglade.patch.bz2: fixed usptream.
- Drop anjuta-extras-fix_valgrind_detection.patch: fixed upstream.
- Remove autoreconf call, and gnome-common BuildRequires.
* Thu Jun 11 2009 vuntz@novell.com
- Add anjuta-extras-no-libglade.patch.bz2 to fix build with latest
  anjuta.
- Use autoreconf and add gnome-common BuildRequires.
* Tue May 19 2009 vuntz@novell.com
- Do not use tabs, remove trailing white spaces.
- Pass --disable-schemas-install to configure.
- Use parallel build.
- Use makeinstall.
* Mon May 18 2009 dominique-obs@leuenberger.net
- New BuildRequires for graphviz plugins and binutils-devel for
  valgrind plugin
- Created patch to fix libbfd detection (bnc483449, bgo#578486)
- Added rpmlintrc. The .so files are plugins and belong here.
* Wed May 13 2009 dominique-obs@leuenberger.net
- Initial package for openSUSE, Community Week effort.
